Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter.dataformat
Class StructureDef

`java.lang.Object
oracle.adf.model.adapter.dataformat.StructureDef`

All Implemented Interfaces:
  Definition, NamedDefinition, StructureDefinition

public class StructureDef
extends java.lang.Object
implements StructureDefinition

Defines the structure definition of a data control.

Since:
  10.1.3
Version:
  1.0

Field Summary
`static int` | `TYPE_ACCESSOR`

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Constructor Summary
`StructureDef(java.lang.String name)` Creates a structure definition with a name.
`StructureDef(java.lang.String name, Definition parent)` Creates a structure definition with a name and a parent

Method Summary
`void` | `addAccessor(AccessorDefinition accr)` Adds an accessor to the structure definition.
`void` | `addAttribute(AttributeDefinition attr)` Adds an attribute to the structure definition.
`void` | `addMethod(OperationDefinition method)` Adds a method to the structure definition.
`void` | `addProperties(java.util.Map props)` Adds custom properties to this object.
`void` | `addProperty(java.lang.String propName, java.lang.Object value)` Adds a custom property to this object.
`DefinitionContainer` | `getAccessorDefinitions()` Returns the metadata about the accessors in this structure.
`DefinitionContainer` | `getAttributeDefinitions()` Returns the metadata about the attributes in this structure.
`DataControlDefinition` | `getDataControlDefinition()` Retrieves the DataControlDefinition that this Structure belongs to.
`Definition` | `getDefinitionParent()` Returns the parent of this metadata definition, which is the Definition that contains this Definition.
`int` | `getDefinitionType()` Retrieves the type of this definition.
`java.lang.String` | `getFullName()` Returns the full name of the definition.
`java.lang.String` | `getName()` Returns the name of this Definition.
`DefinitionContainer` | `getOperationDefinitions()` Returns the metadata about the operations in this structure.
`java.util.Hashtable` | `getProperties()` Returns a `Hashtable` containing all the custom properties set against this object.
`java.lang.Object` | `getProperty(java.lang.String propName)` Returns a custom property value given its name.
`void` | `setPackageName(java.lang.String pkg)` Sets the pacakge name for this definition.
`void` | `setParent(Definition parent)` Sets a parent to this definition.
`void` | `setParentType(int type)` Sets the parent type of this structure definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_ACCESSOR

    public static final int TYPE_ACCESSOR

Constructor Detail

### StructureDef

    public StructureDef(java.lang.String name)

  Creates a structure definition with a name.

### StructureDef

    public StructureDef(java.lang.String name,
                        Definition parent)

  Creates a structure definition with a name and a parent

Method Detail

### getAttributeDefinitions

    public DefinitionContainer getAttributeDefinitions()

  Description copied from interface: `StructureDefinition`
  Returns the metadata about the attributes in this structure.
  Specified by:
    `getAttributeDefinitions` in interface `StructureDefinition`
  Returns:
    A DefinitionContainer containing the metadata of all attributes in the structure. There should be one AttributeDefinition object in the DefinitionContainer containing metadata for each attribute. If there are no attribute, an instance of EmptyDefinitionContainer should be returned.
  See Also:
    `EmptyDefinitionContainer`, `AttributeDefinition`

### getOperationDefinitions

    public DefinitionContainer getOperationDefinitions()

  Description copied from interface: `StructureDefinition`
  Returns the metadata about the operations in this structure.
  Specified by:
    `getOperationDefinitions` in interface `StructureDefinition`
  Returns:
    A DefinitionContainer containing the metadata of all operations in the structure. There should be one OperationDefinition object in the DefinitionContainer containing metadata for each operation. If there are no operation, an instance of EmptyDefinitionContainer should be returned.
  See Also:
    `EmptyDefinitionContainer`, `OperationDefinition`

### getAccessorDefinitions

    public DefinitionContainer getAccessorDefinitions()

  Description copied from interface: `StructureDefinition`
  Returns the metadata about the accessors in this structure.
  Specified by:
    `getAccessorDefinitions` in interface `StructureDefinition`
  Returns:
    A DefinitionContainer containing the metadata of all acessors in the structure. There should be one AccessorDefinition object in the DefinitionContainer containing metadata for each accessor. If there are no accessor, an instance of EmptyDefinitionContainer should be returned.
  See Also:
    `EmptyDefinitionContainer`, `AccessorDefinition`

### getDataControlDefinition

    public DataControlDefinition getDataControlDefinition()

  Description copied from interface: `StructureDefinition`
  Retrieves the DataControlDefinition that this Structure belongs to.
  Specified by:
    `getDataControlDefinition` in interface `StructureDefinition`
  Returns:
    The DataControlDefinition that this Structure belongs to.

### getFullName

    public java.lang.String getFullName()

  Returns the full name of the definition. Full names are used to create the file name to serialize the structure definition.
  Specified by:
    `getFullName` in interface `NamedDefinition`
  Returns:
    the full name in the form of package_name.name.

### getName

    public java.lang.String getName()

  Description copied from interface: `NamedDefinition`
  Returns the name of this Definition.
  Specified by:
    `getName` in interface `NamedDefinition`
  Returns:
    Name of this Definition.

### getDefinitionParent

    public Definition getDefinitionParent()

  Description copied from interface: `NamedDefinition`
  Returns the parent of this metadata definition, which is the Definition that contains this Definition. For example, the parent of an AttributeDefinition could be a StructureDefinition if the attribute is contained in the structure.
  Specified by:
    `getDefinitionParent` in interface `NamedDefinition`
  Returns:
    The parent Definition

### getDefinitionType

    public int getDefinitionType()

  Description copied from interface: `Definition`
  Retrieves the type of this definition. It can be one of the TYPE_* constants defined in this class. This is useful to find out the actual type of the Definition without doing an instanceof operations.
  Specified by:
    `getDefinitionType` in interface `Definition`
  Returns:
    The type of definition that this Definition implementation class implements.

### setParentType

    public void setParentType(int type)

  Sets the parent type of this structure definition.

### setPackageName

    public void setPackageName(java.lang.String pkg)

  Sets the pacakge name for this definition. Package names are used to serialize the structure definitions.

### addAttribute

    public void addAttribute(AttributeDefinition attr)

  Adds an attribute to the structure definition.
  Parameters:
    `attr` - The attribute as a part of the structure.

### addAccessor

    public void addAccessor(AccessorDefinition accr)

  Adds an accessor to the structure definition.
  Parameters:
    `accr` - The attribute as a part of the structure.

### addMethod

    public void addMethod(OperationDefinition method)

  Adds a method to the structure definition.
  Parameters:
    `method` - The method as a part of the structure.

### setParent

    public void setParent(Definition parent)

  Sets a parent to this definition.

### addProperty

    public void addProperty(java.lang.String propName,
                            java.lang.Object value)

  Adds a custom property to this object.
  Parameters:
    `propName` - Name of the custom property
    `value` - Value of the custom property

### getProperty

    public java.lang.Object getProperty(java.lang.String propName)

  Returns a custom property value given its name.
  Specified by:
    `getProperty` in interface `NamedDefinition`
  Parameters:
    `propName` - Name of the custom property whose value is to be retrieved.
  Returns:
    custom property set against this column-like artefact.

### addProperties

    public void addProperties(java.util.Map props)

  Adds custom properties to this object.
  Parameters:
    `props` - properties have to be added.

### getProperties

    public java.util.Hashtable getProperties()

  Returns a `Hashtable` containing all the custom properties set against this object.
  Specified by:
    `getProperties` in interface `NamedDefinition`
  Returns:
    a `Hashtable` consisting of all the custom properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.